summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2021-07-13 07:35:37 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2021-07-13 07:35:37 +0200
commit63a2129ddd57e0f66225c0536f7a99e837574bf0 (patch)
treeaa6832557bbeca08e0cd562e8f9f06a2404614e4 /media-sound
parentmedia-plugins/qmmp-plugin-pack: bump to 1.5.1 (diff)
downloadgentoo-63a2129ddd57e0f66225c0536f7a99e837574bf0.tar.gz
gentoo-63a2129ddd57e0f66225c0536f7a99e837574bf0.tar.bz2
gentoo-63a2129ddd57e0f66225c0536f7a99e837574bf0.zip
media-sound/qmmp: bump to 1.5.1
Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/qmmp/Manifest1
-rw-r--r--media-sound/qmmp/qmmp-1.5.1.ebuild159
2 files changed, 160 insertions, 0 deletions
diff --git a/media-sound/qmmp/Manifest b/media-sound/qmmp/Manifest
index 3b9b0dd8df7..db7f8cbb097 100644
--- a/media-sound/qmmp/Manifest
+++ b/media-sound/qmmp/Manifest
@@ -1,2 +1,3 @@
DIST qmmp-1.4.6.tar.bz2 1297295 BLAKE2B ec0b27c5faf2c76c15ff8594eecad8b6f73bb5fefd60e4916751a297ff055b252762c8e1ff6d6fc75535bc299159fc595e95767977958a8e94ff2d13218e6fb1 SHA512 dca9d06763be6ded45db14a5e8967e9bd8eebc14e5ec7b077171417e942d61a904ecd1944b8d80deecfb642248663739c3e1784449a10466475deb6e575ea7dc
DIST qmmp-1.5.0.tar.bz2 1337043 BLAKE2B 71da332bb125ddcc37cdc159e155af2e185cfef8f70348484ca6099666a4715258fadb8a7db68329a009e0d727b1d7b000553e34eb56552c229b6cc1a5f3dd45 SHA512 b8a29bf6b2f6da08e1ff2801c973821663570de436562ba79b40212b8b8522f0e25ea79c941bfacf252904851ed477cbfa66d7f145b172f93a105127894d5e04
+DIST qmmp-1.5.1.tar.bz2 1363593 BLAKE2B 7c344ce2d9c1bc419b17c8d3727afa6f95273e7487f539b0e2f8cb5328f0185a7aab184d9df01a023f896e8b516135fd58ebe0e2204fb1f5ca283f4e0c04d78f SHA512 4b866e7b53ea1757a94e028730dd99bab3b56917e6835b46284cce148e779e00a5fe0a396667283aa13c980a9ee33d0fe76df0198320f1897ec3b73bcd1f275e
diff --git a/media-sound/qmmp/qmmp-1.5.1.ebuild b/media-sound/qmmp/qmmp-1.5.1.ebuild
new file mode 100644
index 00000000000..2fe547a222c
--- /dev/null
+++ b/media-sound/qmmp/qmmp-1.5.1.ebuild
@@ -0,0 +1,159 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake xdg
+[[ ${PV} = 9999 ]] && inherit subversion
+
+DESCRIPTION="Qt5-based audio player with winamp/xmms skins support"
+HOMEPAGE="http://qmmp.ylsoftware.com"
+if [[ ${PV} != 9999 ]]; then
+ SRC_URI="http://qmmp.ylsoftware.com/files/${P}.tar.bz2
+ mirror://sourceforge/${PN}-dev/files/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~x86"
+else
+ QMMP_DEV_BRANCH="1.3"
+ ESVN_REPO_URI="svn://svn.code.sf.net/p/${PN}-dev/code/branches/${PN}-${QMMP_DEV_BRANCH}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+# KEYWORDS further up
+IUSE="aac +alsa analyzer archive bs2b cdda cover crossfade cue curl +dbus enca
+ffmpeg flac game gnome jack ladspa lyrics +mad midi mms modplug mplayer musepack
+notifier opus oss pipewire projectm pulseaudio qsui qtmedia scrobbler shout sid
+sndfile soxr stereo tray udisks +vorbis wavpack"
+
+REQUIRED_USE="
+ gnome? ( dbus )
+ shout? ( soxr vorbis )
+ udisks? ( dbus )
+"
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtsql:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ media-libs/taglib
+ x11-libs/libX11
+ aac? ( media-libs/faad2 )
+ alsa? ( media-libs/alsa-lib )
+ archive? ( app-arch/libarchive )
+ bs2b? ( media-libs/libbs2b )
+ cdda? (
+ dev-libs/libcdio:=
+ dev-libs/libcdio-paranoia
+ )
+ curl? ( net-misc/curl )
+ dbus? ( dev-qt/qtdbus:5 )
+ enca? ( app-i18n/enca )
+ ffmpeg? ( media-video/ffmpeg:= )
+ flac? ( media-libs/flac )
+ game? ( media-libs/game-music-emu )
+ jack? (
+ media-libs/libsamplerate
+ virtual/jack
+ )
+ ladspa? ( media-plugins/cmt-plugins )
+ mad? (
+ media-libs/libmad:=
+ media-sound/mpg123:=
+ )
+ midi? ( media-sound/wildmidi )
+ mms? ( media-libs/libmms )
+ modplug? ( >=media-libs/libmodplug-0.8.4 )
+ mplayer? ( media-video/mplayer )
+ musepack? ( >=media-sound/musepack-tools-444 )
+ opus? ( media-libs/opusfile )
+ pipewire? ( media-video/pipewire )
+ projectm? (
+ dev-qt/qtgui:5[-gles2-only]
+ dev-qt/qtopengl:5
+ media-libs/libprojectm:=
+ )
+ pulseaudio? ( >=media-sound/pulseaudio-0.9.9 )
+ qtmedia? ( dev-qt/qtmultimedia:5 )
+ scrobbler? ( net-misc/curl )
+ shout? ( media-libs/libshout )
+ sid? ( >=media-libs/libsidplayfp-1.1.0 )
+ sndfile? ( media-libs/libsndfile )
+ soxr? ( media-libs/soxr )
+ udisks? ( sys-fs/udisks:2 )
+ vorbis? (
+ media-libs/libogg
+ media-libs/libvorbis
+ )
+ wavpack? ( media-sound/wavpack )
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+"
+
+DOCS=( AUTHORS ChangeLog README )
+
+src_prepare() {
+ if has_version dev-libs/libcdio-paranoia ; then
+ sed -i \
+ -e 's:cdio/cdda.h:cdio/paranoia/cdda.h:' \
+ src/plugins/Input/cdaudio/decoder_cdaudio.cpp || die
+ fi
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DUSE_AAC="$(usex aac)"
+ -DUSE_ALSA="$(usex alsa)"
+ -DUSE_ANALYZER="$(usex analyzer)"
+ -DUSE_ARCHIVE="$(usex archive)"
+ -DUSE_BS2B="$(usex bs2b)"
+ -DUSE_CDA="$(usex cdda)"
+ -DUSE_COVER="$(usex cover)"
+ -DUSE_CROSSFADE="$(usex crossfade)"
+ -DUSE_CUE="$(usex cue)"
+ -DUSE_CURL="$(usex curl)"
+ -DUSE_KDENOTIFY="$(usex dbus)"
+ -DUSE_MPRIS="$(usex dbus)"
+ -DUSE_ENCA="$(usex enca)"
+ -DUSE_FFMPEG="$(usex ffmpeg)"
+ -DUSE_FILEWRITER="$(usex vorbis)"
+ -DUSE_FLAC="$(usex flac)"
+ -DUSE_GME="$(usex game)"
+ -DUSE_GNOMEHOTKEY="$(usex gnome)"
+ -DUSE_HAL=OFF
+ -DUSE_JACK="$(usex jack)"
+ -DUSE_LADSPA="$(usex ladspa)"
+ -DUSE_LYRICS="$(usex lyrics)"
+ -DUSE_MAD="$(usex mad)"
+ -DUSE_MIDI="$(usex midi)"
+ -DUSE_MMS="$(usex mms)"
+ -DUSE_MODPLUG="$(usex modplug)"
+ -DUSE_MPLAYER="$(usex mplayer)"
+ -DUSE_MPC="$(usex musepack)"
+ -DUSE_NOTIFIER="$(usex notifier)"
+ -DUSE_OPUS="$(usex opus)"
+ -DUSE_OSS="$(usex oss)"
+ -DUSE_PIPEWIRE="$(usex pipewire)"
+ -DUSE_PROJECTM="$(usex projectm)"
+ -DUSE_PULSE="$(usex pulseaudio)"
+ -DUSE_QSUI="$(usex qsui)"
+ -DUSE_QTMULTIMEDIA="$(usex qtmedia)"
+ -DUSE_SCROBBLER="$(usex scrobbler)"
+ -DUSE_SHOUT="$(usex shout)"
+ -DUSE_SID="$(usex sid)"
+ -DUSE_SNDFILE="$(usex sndfile)"
+ -DUSE_SOXR="$(usex soxr)"
+ -DUSE_STEREO="$(usex stereo)"
+ -DUSE_STATICON="$(usex tray)"
+ -DUSE_UDISKS2="$(usex udisks)"
+ -DUSE_VORBIS="$(usex vorbis)"
+ -DUSE_WAVPACK="$(usex wavpack)"
+ )
+
+ cmake_src_configure
+}